user
Shadowstreik Ragnar AnKorage Admin
0
0
0
2020-08-01 08:49:26


Tutorials
Title Score
Ideas
Title Score
Hardware devices
Device Release
Software reviews
Software Score
minecraft-installer
"The launcher now requires version 11 of the OpenJDK software. It will not work on 'Bionic'/LM19, either."
1
gnome-contacts
"This is a great application. Worked flawlessly on Cinnamon!"
4
gramps
"This is a fantastic program. However, vrsion 5.0.1 has been released and not updated in the software manager."
4